#ifndef _column_h_
#define _column_h_

struct colf_s {
	char	table[MAX_NAME_LEN+1];
	char	name[MAX_NAME_LEN+1];
	int	type;
	int	display;		/* display? */
	int	size;			/* size of column */
	int	just;			/* data justification */
	char	title[MAX_CTIT_LEN+1];
	int	tsize;			/* size of title */
	int	tjust;			/* TJUST */
	char	*numf;			/* NUMFORMAT */
	char	*intf;
	char	*realf;
	int	wrap;			/* wrap type */
	int	cc;
	int	len;
	struct colf_s *next;
};
typedef struct colf_s ColF;

#define NULL_ColF	(ColF *)0

#ifndef _column_c_
extern ColF	*Columns;
#endif

extern ColF	*colf_new();
extern ColF	*colf_get();
extern void	colf_free();
extern void	colf_copy();

#endif /*header*/
