#ifndef	_commands_h_
#define	_commands_h_

#define	NUM_ARGS	20	/* Max number of args to commands */

struct cmd_s {
	char *name;
        int  min;		/* Minimum number of args */
	int (*cmd)();		/* function to execute */
};

typedef struct cmd_s Command;

/* commands.c */
extern int		cmdparse();
extern int		subcmd();
extern int		boolcmd();

/* column_cmd.c */
extern int		column_cmd();
extern int		column_list();
extern int		column_save();

/* set_cmd.c */
extern int		set_cmd();
/* connect_cmd.c */
extern int		connect_cmd();
extern int		disconnect_cmd();

#endif	/* header */
