#include <stdio.h>
#include <string.h>
#include "config.h"
#include "compat.h"
#include "global.h"
#include "commands.h"

int
connect_cmd(argc,argv,p)
int	argc;
char	*argv[];
void	*p;
{
	char *tmp[20];
	char *cp;

	/* search for dbname */
	if((cp = strchr(argv[1],'@')) != NULL)
		cp++;
	else
		cp = argv[1];

	if(strlen(cp) > MAX_NAME_LEN){
		sprintf(tmp,"Max - %d",MAX_NAME_LEN);
		return(RET_ERR);
	}

	strcpy(def_dbname,cp);
	return(connect_db());
}

int
disconnect_cmd(argc,argv,p)
int	argc;
char	*argv[];
void	*p;
{
	if(Connected){
		Out("\nDisconnected from: ");
		Out(def_dbname);
		Out("\n\n");
	}
	disconnect_db();
	return(RET_OK);
}
